Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class Prop

    java.lang.Object
      theater.Component
          theater.Prop

All Implemented Interfaces:
  PixelArea

    public class Prop

extends Component

Die Klasse Prop ist die Basisklasse aller Requisiten. Sie ist Unterklasse der Klasse Component und erbt alle deren Methoden.

Soll eine neue Requisite definiert werden, muss eine entsprechende Klasse von der Klasse Prop abgeleitet werden. Zum Umgang mit den Requisiten können die geerbten Methoden der Klassen Component genutzt werden.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary

Fields inherited from class theater.Component
`DEF_Z_COORDINATE`

Constructor Summary
`Prop()` Default-Konstruktor der Klasse Prop

Method Summary
`void` | `run()` Überschreibt die Component-Methode run als leere Methode und definiert sie als final.

Methods inherited from class theater.Component
`addedToStage, contains, getCell, getColumn, getImage, getRotation, getRow, getStage, getZCoordinate, intersects, isHandlingKeyEvents, isHandlingMouseEvents, isInside, isVisible, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, setHandlingKeyEvents, setHandlingMouseEvents, setImage, setImage, setLocation, setRotation, setVisible, setZCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Prop

    public Prop()

  Default-Konstruktor der Klasse Prop

Method Detail

### run

    public final void run()

  Überschreibt die Component-Methode run als leere Methode und definiert sie als final. Damit wird verhindert, dass die Requisiten als passive Objekte selbstständig agieren können.

  Overrides:
    `run` in class `Component`
  See Also:
    `Component.run()`

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD